## libpam-faillock 1.1.8-18.el7~jessie

=== Makefile ===
INSTALL ?= install
CFLAGS ?= -O2 -g -Wall -Wformat-security -DHAVE_LIBAUDIT=1

CPPFLAGS += -DUSE_CRYPT_R
CFLAGS += -fPIC -fvisibility=hidden
LDFLAGS += -Wl,-x -lpam -laudit

all: faillock pam_faillock.so

pam_faillock.o: pam_faillock.c
	gcc -DHAVE_CONFIG_H -fpie -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -c -o pam_faillock.o pam_faillock.c

main.o: main.c
	gcc -DHAVE_CONFIG_H -fpie -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -c -o main.o main.c

faillock.o: faillock.c
	gcc -DHAVE_CONFIG_H -fpie -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -c -o faillock.o faillock.c

pam_faillock.so: pam_faillock.o faillock.o
	gcc -shared -fPIC -DPIC  pam_faillock.o faillock.o -lpam -ldl -laudit -O2 -m64 -mtune=generic -Wl,-z -Wl,relro -Wl,--as-needed -Wl,--no-undefined -Wl,-O1 -Wl,-soname -Wl,pam_faillock.so -o pam_faillock.so

faillock: faillock.o main.o
	gcc -fpie -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -m64 -mtune=generic -Wl,-z -Wl,now -pie -Wl,-z -Wl,relro -Wl,--as-needed -Wl,--no-undefined -Wl,-O1 -o faillock main.o faillock.o -lpam -ldl -laudit

clean:
	$(RM) *.o *.so faillock

=== debian/changelog ===
libpam-faillock (1.1.8-18.el7~jessie) jessie; urgency=low

  * Imported from CentOS

 -- Sascha Kettler <sascha.kettler@gronau-it-cloud-computing.de>  Thu, 17 Aug 2017 07:52:49 +0000

=== debian/control ===
Source: libpam-faillock
Section: admin
Priority: extra
Maintainer: Sascha Kettler <sascha.kettler@gronau-it-cloud-computing.de> 
Standards-Version: 3.9.8
Build-Depends: debhelper (>= 9), dh-exec (>=0.3), libpam0g-dev, libaudit-dev

Package: libpam-faillock
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: PAM module counting authentication failures during a specified interval
 This PAM module maintains a list of failed authentication attempts per user 
 during a specified interval and locks the account in case there were more 
 than a specified number of consecutive failed authentications.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_install:
	install -d debian/libpam-faillock/lib/x86_64-linux-gnu/security
	cp pam_faillock.so debian/libpam-faillock/lib/x86_64-linux-gnu/security/pam_faillock.so
	install -d debian/libpam-faillock/usr/share/man/man8
	cp pam_faillock.8.gz debian/libpam-faillock/usr/share/man/man8/pam_faillock.8.gz
	install -d debian/libpam-faillock/var/run/faillock
